Zum Hauptinhalt springen
DELETE
/
v3
/
organizations
/
{org_id}
/
schedules
/
{schedule_id}
Zeitplan löschen
curl --request DELETE \
  --url https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "consecutive_failures": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "enabled": true,
  "frequency": "<string>",
  "last_error_at": "2023-11-07T05:31:56Z",
  "last_error_message": "<string>",
  "last_executed_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "org_id": "<string>",
  "playbook": {
    "playbook_id": "<string>",
    "title": "<string>"
  },
  "prompt": "<string>",
  "scheduled_session_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "bypass_approval": false,
  "interval_count": 1,
  "last_edited_by": "<string>",
  "platform": "<string>",
  "schedule_type": "recurring",
  "scheduled_at": "2023-11-07T05:31:56Z",
  "slack_channel_id": "<string>",
  "slack_team_id": "<string>",
  "tags": [
    "<string>"
  ],
  "target_devin_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Berechtigungen

Erfordert einen Servicebenutzer mit der Berechtigung ManageOrgSchedules auf Organisationsebene.

Hinweise

Dies führt eine Soft-Löschung (Soft Delete) durch. Der Zeitplan wird deaktiviert und als gelöscht markiert. Er wird nicht mehr in Ergebnislisten angezeigt.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

schedule_id
string
erforderlich

Zeitplan-ID (Präfix: sched-)

Beispiel:

"sched-abc123def456"

org_id
string
erforderlich

Organisations-ID (Präfix: org-)

Beispiel:

"org-abc123def456"

Antwort

Antwort bei Erfolg

agent
enum<string>
erforderlich
Verfügbare Optionen:
devin,
data_analyst
consecutive_failures
integer
erforderlich
created_at
string<date-time>
erforderlich
created_by
string | null
erforderlich
enabled
boolean
erforderlich
frequency
string | null
erforderlich
last_error_at
string<date-time> | null
erforderlich
last_error_message
string | null
erforderlich
last_executed_at
string<date-time> | null
erforderlich
name
string
erforderlich
notify_on
enum<string>
erforderlich
Verfügbare Optionen:
always,
failure,
never
org_id
string
erforderlich
playbook
PlaybookInfo · object | null
erforderlich
prompt
string
erforderlich
scheduled_session_id
string
erforderlich
updated_at
string<date-time>
erforderlich
bypass_approval
boolean
Standard:false
interval_count
integer
Standard:1
last_edited_by
string | null
platform
string | null
schedule_type
enum<string>
Standard:recurring
Verfügbare Optionen:
recurring,
one_time
scheduled_at
string<date-time> | null
slack_channel_id
string | null
slack_team_id
string | null
tags
string[] | null
target_devin_id
string | null